import * as React from 'react';
import { Feature } from '@common-stack/client-react';
import { Xterm, XtermHeader } from '@xterm-stack/client-react';
import { reducers, paletteActions } from '@xterm-stack/client-redux';
import { resolvers } from '@xterm-stack/graphql-gql';

export default new Feature({
    middleLowerPanelItems: { terminal: { header: <XtermHeader />, panel: <Xterm /> } },
    middleMainPanelItemsProps: { editors: { actionFunctions: [...paletteActions] } },
    reducer: reducers,
    resolver: resolvers,
});
